classification
Title: expat: warning: "_POSIX_C_SOURCE" redefined
Type: compile error Stage: resolved
Components: Extension Modules, XML Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vstinner Nosy List: christian.heimes, miss-islington, vstinner
Priority: low Keywords: patch

Created on 2017-09-06 22:43 by christian.heimes, last changed 2018-12-10 15:43 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3571 closed christian.heimes, 2017-09-14 09:38
PR 3601 closed vstinner, 2017-09-15 13:43
PR 11064 merged vstinner, 2018-12-10 10:07
PR 11071 merged miss-islington, 2018-12-10 10:30
PR 11072 merged miss-islington, 2018-12-10 10:30
PR 11073 merged miss-islington, 2018-12-10 10:31
PR 11078 merged vstinner, 2018-12-10 14:29
PR 11079 merged vstinner, 2018-12-10 14:48
PR 11080 merged miss-islington, 2018-12-10 15:06
PR 11081 merged miss-islington, 2018-12-10 15:06
Messages (10)
msg301533 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-06 22:43
In file included from /home/heimes/dev/python/cpython/Modules/expat/expat_config.h:8:0,
                 from /home/heimes/dev/python/cpython/Modules/expat/xmltok.c:41:
./pyconfig.h:1454:0: warning: "_POSIX_C_SOURCE" redefined
 #define _POSIX_C_SOURCE 200809L
 
In file included from /usr/include/bits/libc-header-start.h:33:0,
                 from /usr/include/string.h:26,
                 from /home/heimes/dev/python/cpython/Modules/expat/xmltok.c:35:
/usr/include/features.h:286:0: note: this is the location of the previous definition
 # define _POSIX_C_SOURCE 199506L
msg331487 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-10 10:30
New changeset cf247359d5b7082044eea1fa94b5211a172b1ff6 by Victor Stinner in branch 'master':
bpo-31374: Include pyconfig.h earlier in expat (GH-11064)
https://github.com/python/cpython/commit/cf247359d5b7082044eea1fa94b5211a172b1ff6
msg331498 - (view) Author: miss-islington (miss-islington) Date: 2018-12-10 11:28
New changeset 1467a3ac121897c2ad7512d664478d8916a35217 by Miss Islington (bot) in branch '3.7':
bpo-31374: Include pyconfig.h earlier in expat (GH-11064)
https://github.com/python/cpython/commit/1467a3ac121897c2ad7512d664478d8916a35217
msg331499 - (view) Author: miss-islington (miss-islington) Date: 2018-12-10 11:35
New changeset 7215e4857123afa8577f63c1024bcd1889a96305 by Miss Islington (bot) in branch '3.6':
bpo-31374: Include pyconfig.h earlier in expat (GH-11064)
https://github.com/python/cpython/commit/7215e4857123afa8577f63c1024bcd1889a96305
msg331500 - (view) Author: miss-islington (miss-islington) Date: 2018-12-10 11:38
New changeset 7bbf7b02ab0852aa757505a7e4062eb52817037a by Miss Islington (bot) in branch '2.7':
bpo-31374: Include pyconfig.h earlier in expat (GH-11064)
https://github.com/python/cpython/commit/7bbf7b02ab0852aa757505a7e4062eb52817037a
msg331511 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-10 15:01
New changeset 2632df4c3f48f23af85a60bffc61030d52e83ee2 by Victor Stinner in branch '2.7':
[2.7] bpo-31374: Include pyconfig.h earlier in expat (GH-11078)
https://github.com/python/cpython/commit/2632df4c3f48f23af85a60bffc61030d52e83ee2
msg331512 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-10 15:06
New changeset b6ef6f69a9afc979640a5f9883f799de1364bff7 by Victor Stinner in branch 'master':
bpo-31374: expat doesn't include <pyconfig.h> on Windows (GH-11079)
https://github.com/python/cpython/commit/b6ef6f69a9afc979640a5f9883f799de1364bff7
msg331514 - (view) Author: miss-islington (miss-islington) Date: 2018-12-10 15:25
New changeset ef1fc0d031c925416d49b407518932ccbf57a0d2 by Miss Islington (bot) in branch '3.7':
bpo-31374: expat doesn't include <pyconfig.h> on Windows (GH-11079)
https://github.com/python/cpython/commit/ef1fc0d031c925416d49b407518932ccbf57a0d2
msg331515 - (view) Author: miss-islington (miss-islington) Date: 2018-12-10 15:41
New changeset 3acf30de90936fe3714bb62873e2523c0440e652 by Miss Islington (bot) in branch '3.6':
bpo-31374: expat doesn't include <pyconfig.h> on Windows (GH-11079)
https://github.com/python/cpython/commit/3acf30de90936fe3714bb62873e2523c0440e652
msg331516 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-10 15:43
Ok, the warning should be fixed in all supported branches.
History
Date User Action Args
2018-12-10 15:43:00vstinnersetmessages: + msg331516
2018-12-10 15:41:14miss-islingtonsetmessages: + msg331515
2018-12-10 15:25:35miss-islingtonsetmessages: + msg331514
2018-12-10 15:06:40miss-islingtonsetpull_requests: + pull_request10315
2018-12-10 15:06:32miss-islingtonsetpull_requests: + pull_request10314
2018-12-10 15:06:22vstinnersetmessages: + msg331512
2018-12-10 15:01:05vstinnersetmessages: + msg331511
2018-12-10 14:48:06vstinnersetpull_requests: + pull_request10313
2018-12-10 14:29:13vstinnersetpull_requests: + pull_request10312
2018-12-10 12:52:00vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-10 11:38:58miss-islingtonsetmessages: + msg331500
2018-12-10 11:35:21miss-islingtonsetmessages: + msg331499
2018-12-10 11:28:24miss-islingtonsetnosy: + miss-islington
messages: + msg331498
2018-12-10 10:31:15miss-islingtonsetpull_requests: + pull_request10307
2018-12-10 10:30:38miss-islingtonsetpull_requests: + pull_request10306
2018-12-10 10:30:31miss-islingtonsetpull_requests: + pull_request10305
2018-12-10 10:30:23vstinnersetmessages: + msg331487
2018-12-10 10:07:29vstinnersetpull_requests: + pull_request10298
2017-10-16 06:49:14martin.panterlinkissue31760 superseder
2017-09-15 13:43:23vstinnersetpull_requests: + pull_request3593
2017-09-14 09:38:35christian.heimessetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3560
2017-09-06 22:43:30christian.heimessetassignee: vstinner

nosy: + vstinner
2017-09-06 22:43:23christian.heimescreate